Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5483 - 6.1 ftp installer fails for upgrade
Summary: 6.1 ftp installer fails for upgrade
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-03 19:37 UTC by plante
Modified: 2015-01-07 23:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-08 14:27:00 UTC


Attachments (Terms of Use)

Description plante 1999-10-03 19:37:51 UTC
Attempting to install 6.1 via ftp to upgrade a 6.0 system
does not work, and produces a stack trace which is quite
tedious to write down and thus is not reproduced in full
here. I've jotted down some highlights of it though, which
are below. Note the extra space after CWD, which I believe
is the culprit.


urlinstall.py, line 45
...
ftplib.py line 441, in cwd
...
ftplib.py, line 201 in getresp
IOError: [Errno ftp error ] 500 'CWD ': command not
understood.

Comment 1 nihility 1999-10-04 13:56:59 UTC
from Nihility@quake2.tstc.edu
---------------------------------
ftp install also fails on a normal install when a ftp timeout occurs
the python script does not retry the download .. it just aborts the
install

Comment 2 Jay Turner 2000-02-08 14:26:59 UTC
This is a bug which relates to the structure of the FTP server and path
arguments in the installer.  There is a problem which requires that you specify
the FQDN for the FTP server.  In addition, you will want to specify the path to
the source files WITHOUT a trailing slash.

So, if you are installing from krusty.redhat.com from the directory
/mnt/dist/6.1/i386, you would want to make sure that you type
"krusty.redhat.com" for the FTP server and "/mnt/dist/6.1/i386" for the path.
Typing "/mnt/dist/6.1/i386/" will result in the error that you quote above as
well as typing just "krusty" for the server name.


Note You need to log in before you can comment on or make changes to this bug.